Hed Hat - Yum não resolve dependências

1. Hed Hat - Yum não resolve dependências

Paulo Matheus bOnifácio da SIlva
paulomatheusgrr

(usa Ubuntu)

Enviado em 27/09/2018 - 20:44h

Fala pessoal.

Sou novo aqui no fófum, e recem nascido em Red Hat.

No meu serviço preciso apenas instalar o PHP + o Apache no servidor. Estou utilizando o comando yum para realizar a instalação e o mesmo da os seguintes erros.

yum install php
Plugins carregados: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Resolvendo dependências
--> Executando verificação da transação
---> O pacote php.x86_64 0:7.2.10-1.el7.remi será instalado
--> Processando dependência: php-cli(x86-64) = 7.2.10-1.el7.remi para o pacote: php-7.2.10-1.el7.remi.x86_64
--> Processando dependência: httpd-mmn = 20120211x8664 para o pacote: php-7.2.10-1.el7.remi.x86_64
--> Processando dependência: httpd para o pacote: php-7.2.10-1.el7.remi.x86_64
--> Executando verificação da transação
---> O pacote php.x86_64 0:7.2.10-1.el7.remi será instalado
--> Processando dependência: httpd-mmn = 20120211x8664 para o pacote: php-7.2.10-1.el7.remi.x86_64
--> Processando dependência: httpd para o pacote: php-7.2.10-1.el7.remi.x86_64
---> O pacote php-cli.x86_64 0:7.2.10-1.el7.remi será instalado
--> Resolução de dependências finalizada
Error: Pacote: php-7.2.10-1.el7.remi.x86_64 (remi-php72)
Requer: httpd-mmn = 20120211x8664
Error: Pacote: php-7.2.10-1.el7.remi.x86_64 (remi-php72)
Requer: httpd
Você pode tentar usar o parâmetro --skip-broken para contornar o problema
yum install httpd Você pode tentar executar: rpm -Va --nofiles --nodigest
[[email protected] ~]# yum install httpd
Plugins carregados: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Nenhum pacote httpd disponível.
Error: Nada a ser feito


ja me falaram que isso pode ser pelo Hed Hat não estar licenciado, mas não sei como proceder pois é apenas uma ambiente de homologação e a empresa não vai licenciar por conta disso.





  


2. Re: Hed Hat - Yum não resolve dependências

Hugo Torres
F9KILL

(usa Arch Linux)

Enviado em 28/09/2018 - 10:03h

Não conheço muito RedHad, mas pelas mensagens de erro, parece que é porque ele não está registrado.

No caso você pode instalar o CentOS que é quase uma cópia bit a bit do RedHat, tirando os programas deles e marca registrada.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts